Bug 174973 - Kernel PCI-X breaks on kernel >=2.6.14 if APCI MCFG is enabled.
Kernel PCI-X breaks on kernel >=2.6.14 if APCI MCFG is enabled.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-12-05 05:11 EST by Gilboa Davara
Modified: 2015-01-04 17:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 01:53:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2005-12-05 05:11:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051204 Fedora/1.5-1 Firefox/1.5

Description of problem:
I'm just reboot my FC4 x86-64 machine after updating to the latest kernel (1644).
The machine fails to boot. (attempted to kill init panic)
I've modified the 1644 initrd image, adding some "sleep 10s" so I can see what's broken.
Seems that the the aic7xxx module loads just fine, but does not scan the SCSI bus for devices and as a result, my root MD5/LVM RAID doesn't get detected; no root device; panic.

I should further add that machine was rock solid up until (and including) 2.6.13-1.1532smp.

Machine configuration:
Tyan Thunder K8WE.
BIOS version v1.01.
2 x Opteron 248.
4 x 512MB PC3200/ECC/REG.
Adatec 29160/64 in a PCI-X 100Mhz slot.
4 x 10K RPM, 36GB, 68p drives in software RAID5.
Gigabyte GF6800GT.
FC4 x86-64.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install 1644 kernel.
2. Reboot machine.

  

Actual Results:  1. SCSI driver does not scan bus and does not detect devices.
2. Panic

Expected Results:  1. Scan SCSI bus.
2. Detect 4 SCSI drives on bus.
3. Detect software RAID5.
4. Detect LVM.
5. Mount root.

Additional info:
Comment 1 Gilboa Davara 2005-12-05 05:11:45 EST
Might relate to (or duplicate):
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=170436
Comment 2 Gilboa Davara 2005-12-15 12:20:29 EST
Just tried -1653.
Same problem:
Driver loads, AFAIK does not detect the SCSI device (and as a result, does not
scan the SCSI bus), init dies.
Comment 3 Gilboa Davara 2006-01-07 10:41:34 EST
Reported upstream.
http://bugzilla.kernel.org/show_bug.cgi?id=5847
Comment 4 Gilboa Davara 2006-01-19 00:56:26 EST
After contacting Tyan, It was suggested that I update the BIOS and disable the
ACPI MCFG table by selecting (and here comes the duh!) Linux instead of other
in the OS type. 

I'm leaving the bugzilla.kernel.org bug open (just in-case it ACPI MCFG parsing
is broken). Should we leave this one open too?
Comment 5 Dave Jones 2006-01-19 01:53:13 EST
We'll pick it up when upstream gets it within short time, so there's little
point leaving this one open.  Thanks for the update though.

Note You need to log in before you can comment on or make changes to this bug.